The key numbers of your projects
curl --request GET \
--url https://patch.gg/api/v1/me/insights \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://patch.gg/api/v1/me/insights', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://patch.gg/api/v1/me/insights"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"period": {
"days": 123,
"from": "<string>",
"to": "<string>"
},
"data": [
{
"project": {
"handle": "<string>",
"name": "<string>",
"kind": "<string>"
},
"players": 123,
"sessions": 123,
"qualified_minutes": 123,
"qualified_hours": 123,
"gets": 123,
"crash_free": 123
}
]
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}Insights
The key numbers of your projects
Every project in your orgs with its players, qualified play-hours, gets and crash-free sessions, most played first.
GET
/
me
/
insights
The key numbers of your projects
curl --request GET \
--url https://patch.gg/api/v1/me/insights \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://patch.gg/api/v1/me/insights', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://patch.gg/api/v1/me/insights"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"period": {
"days": 123,
"from": "<string>",
"to": "<string>"
},
"data": [
{
"project": {
"handle": "<string>",
"name": "<string>",
"kind": "<string>"
},
"players": 123,
"sessions": 123,
"qualified_minutes": 123,
"qualified_hours": 123,
"gets": 123,
"crash_free": 123
}
]
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}Authorizations
An API key (pch_...) or the token from pch login.
Query Parameters
The last this many UTC days, today included
Required range:
1 <= x <= 365Example:
30